import React from 'react';

import type { GeneralSizeProp } from '@/mui/types';

import { importShortsThumbnailSelector } from '@/modules/feeds/Editor/redux/selectors';
import { setAction } from '@/modules/feeds/Editor/redux/slices';

import { useFormSettings } from '@/modules/@common/Form';
import { useAppDispatch, useAppSelector } from '@/modules/@common/store/hooks';
import { Switch } from '@/mui/components';

type PropTypes = {
  disabled?: boolean;
};

function ImportShortsThumbnail({ disabled = false }: PropTypes) {
  const dispatch = useAppDispatch();
  const { size } = useFormSettings();

  const importShortsThumbnail = useAppSelector(importShortsThumbnailSelector);

  return (
    <Switch
      size={size as GeneralSizeProp}
      color="primary"
      checked={importShortsThumbnail}
      disabled={disabled}
      onChange={(e) => dispatch(setAction({ importShortsThumbnail: e.target.checked }))}
    />
  );
}

export default ImportShortsThumbnail;
